WordPress.org

Support

Support » Plugins and Hacks » Bug report: Compatibility with WP 3.5

Bug report: Compatibility with WP 3.5

  • Prometheus Fire
    Participant

    @prometheus-fire

    Has GTM been updated for compatibility with Wp 3.5 yet?

    I activated it today and received these errors:

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/accountname/public_html/domain.com/wp-content/plugins/bp-gtm-system/lib/personal.php on line 135 and defined in /home/accountname/public_html/domain.com/wp-includes/wp-db.php on line 990
    
    Warning: Missing argument 2 for wpdb::prepare(), called in /home/accountname/public_html/domain.com/wp-content/plugins/bp-gtm-system/lib/personal.php on line 136 and defined in /home/accountname/public_html/domain.com/wp-includes/wp-db.php on line 990

    I got similar errors in another buddypress plugin today too that needed updating for WP 3.5. Can you take a look at this?

    http://wordpress.org/extend/plugins/bp-gtm-system/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Hi

    Same error for me… had to disable the plugin for now.

    Prometheus Fire
    Participant

    @prometheus-fire

    The fix is here: http://make.wordpress.org/core/2012/12/12/php-warning-missing-argument-2-for-wpdb-prepare/

    Plugin and theme developers are advised to make the updates for compatibility. For the users (the rest of us) there is a snippet for wp-config that can silence errors so you can continue working. There is nothing broken, the plugin just needs updating.

    WordPresswomen
    Member

    @wordpresswomen

    I have just upgrade wordpress 3.5, and mu thumbnails are not showing and the featured image too, when i disable this plugin it all is working fine, so i guest that the problem is with this plugin, what should i do?

    Prometheus Fire
    Participant

    @prometheus-fire

    I emailed Slaffik about it and he said that he isn’t going to have time to update the plugin for a while still. I haven’t seen anything new, but I know right now he is involved with getting BP 1.7 out with the core team. Maybe he’ll get a chance to get the update done then. He has talked about making it a premium paid plugin since as well, so be prepared for that is this plugin is well-loved by you.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Bug report: Compatibility with WP 3.5’ is closed to new replies.